<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns="http://www.w3.org/1999/xhtml">
	<!-- XUA -->
	<s:div id="XUADiv">
		<s:div rendered="#{simuManager.selectedTransaction != null}">
			<s:decorate template="/layout/edit.xhtml">
				<ui:define name="label">#{messages['gazelle.xca.initgw.UseXUA']}</ui:define>
				<h:selectBooleanCheckbox value="#{simuManager.useXUA}">
					<a4j:ajax event="change" render="XUADiv" />
				</h:selectBooleanCheckbox>
			</s:decorate>
			<gri:panel id="samlProviderDiv" rendered="#{simuManager.useXUA}">
				<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XUAParameters']}</f:facet>
				<div class="form-horizontal">
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PraticianID']}</ui:define>
						<h:inputText value="#{simuManager.praticianID}" maxlength="255" styleClass="form-control"
							size="80" />
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XSPASubject']}</ui:define>
						<h:inputText value="#{simuManager.attributes.XSPASubject}" styleClass="form-control"/>
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Role']}</ui:define>
						<h:selectOneMenu value="#{simuManager.attributes.XSPARole}" styleClass="form-control gzl-form-control gzl-select-text">
							<s:selectItems value="#{xuaConfig.listXSPRoles}" var="val" 
								noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}" 
								label="#{val}" />
						</h:selectOneMenu>
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ClinicalSpeciality']}</ui:define>
						<h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text"
							value="#{simuManager.attributes.HITSPClinicalSpeciality}">
							<s:selectItems value="#{xuaConfig.listClinicalSpecialties}"
								var="val"
								noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
								label="#{val}" />
						</h:selectOneMenu>
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Organization']}</ui:define>
						<h:inputText value="#{simuManager.attributes.XSPAOrganization}" styleClass="form-control" />
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XSPAOrganizationId']}</ui:define>
						<h:inputText value="#{simuManager.attributes.XSPAOrganizationId}" styleClass="form-control" />
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HealthCareFacilityType']}</ui:define>
						<h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text"
							value="#{simuManager.attributes.epSOSHealthcareFacilityType}">
							<s:selectItems value="#{xuaConfig.listHealthcareFacilityType}"
								var="val"
								noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
								label="#{val}" />
						</h:selectOneMenu>
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PurposeOfUse']}</ui:define>
						<h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text"
							value="#{simuManager.attributes.XSPAPurposeOfUse}">
							<s:selectItems value="#{xuaConfig.listPurposeOfUse}" var="val"
								noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
								label="#{val}" />
						</h:selectOneMenu>
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XSPALocality']}</ui:define>
						<h:inputText value="#{simuManager.attributes.XSPALocality}" styleClass="form-control" />
					</s:decorate>
				</div>
				<!-- TRC -->
				<s:div id="TRCDiv">
					<h:panelGrid columns="3" rendered="#{simuManager.useXUA == true}">
						<a4j:region>
							<s:decorate template="/layout/edit.xhtml">
								<ui:define name="label">#{messages['gazelle.xca.initgw.UseTRC']}</ui:define>
								<h:selectBooleanCheckbox value="#{simuManager.useTRC}">
									<a4j:ajax event="change" render="patientIdDiv" />
								</h:selectBooleanCheckbox>
							</s:decorate>
						</a4j:region>
						<gdk:spacer width="15" />
						<s:div id="patientIdDiv">
							<s:decorate id="patientIdDecorate" template="/layout/edit.xhtml"
								rendered="#{simuManager.useTRC == true}">
								<ui:define name="label">#{messages['gazelle.xca.initgw.PatientID']}</ui:define>
								<h:inputText value="#{simuManager.patientId}" maxlength="255"
									size="80" styleClass="form-control" />
							</s:decorate>
						</s:div>
					</h:panelGrid>
				</s:div>
			</gri:panel>
		</s:div>
	</s:div>
</ui:composition>
